#pragma once


#ifdef BUILD_SZS
// if we are building the library, use the base Wiimm's types.
#include "lib-bmg.h"
#else
#define bmg_t void
#endif


typedef struct {
    bmg_t* _internal;
} BmgFile;

typedef struct {
    bmg_item_t* _internal;
} BmgRecord;


BmgFile* bmgFileNew();

void bmgFileFree(BmgFile* file);

BmgFile* bmgFileLoad(const char* path);
